> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.littglobal.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.littglobal.com/_mcp/server.

# Update User Profile

POST TBD/api/v2/users/update-profile

In this API, users are allowed to modify and update their profile information for a better and customized experience. For instance, the user can change their name, mobile country code, mobile number, date of birth or their voice bio.

### Request Body

- `name` (string): New name to update in the user profile.
    
- `mobile_country_code` (string): The updated country code for the user's mobile number.
    
- `mobile_number` (string): New mobile number for the user.
    
- `dob` (string): The updated date of birth of the user in YYYY-MM-DD format.
    
- `voice_bio` (string): The URL of the voice bio file.
    

### Response

This API does not return any fields in the response as the changes are directly updated in the user profile database. The app or interface must handle visibility and refreshing of updated details.

Reference: https://docs.littglobal.com/litt-white-label/api-reference/user-profile/update-user-profile

## Request

### Query parameters

- `api_token` (string, optional)

## Response

### 200

Update User Profile

- `message` (string, optional)
- `api` (string, optional)
- `status` (string, optional)
- `data` (list of any, optional)

## Examples

**Response**

```json
{
  "message": "Profile has been updated",
  "api": "update-user-profile",
  "status": "success",
  "data": []
}
```

**SDK Code**

```python User Profile_updateUserProfile_example
import requests

url = "https://tbd/api/v2/users/update-profile"

querystring = {"api_token":"{{token}}"}

response = requests.post(url, params=querystring)

print(response.json())
```

```javascript User Profile_updateUserProfile_example
const url = 'https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D';
const options = {method: 'POST'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go User Profile_updateUserProfile_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D"

	req, _ := http.NewRequest("POST", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby User Profile_updateUserProfile_example
require 'uri'
require 'net/http'

url = URI("https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)

response = http.request(request)
puts response.read_body
```

```java User Profile_updateUserProfile_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D")
  .asString();
```

```php User Profile_updateUserProfile_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D');

echo $response->getBody();
```

```csharp User Profile_updateUserProfile_example
using RestSharp;

var client = new RestClient("https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D");
var request = new RestRequest(Method.POST);
IRestResponse response = client.Execute(request);
```

```swift User Profile_updateUserProfile_example
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://tbd/api/v2/users/update-profile?api_token=%7B%7Btoken%7D%7D")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```